Bug 428707 - potential reference (and free) to an uninitialized pointer in e2fsck
potential reference (and free) to an uninitialized pointer in e2fsck
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Eric Sandeen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 14:00 EST by Eric Sandeen
Modified: 2008-05-21 11:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0324
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-01-14 14:00:50 EST
The recent Coverity changes (bug #239354) brought back upstream changes which
included a use of a potentially uninitialized pointer.

Fixed upstream, 

http://git.kernel.org/?p=fs/ext2/e2fsprogs.git;a=commitdiff;h=86bc90f4f11df090f86dc764a4ea2d6dd5c13ffe
Comment 1 RHEL Product and Program Management 2008-01-14 14:05:41 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Eric Sandeen 2008-01-15 09:59:40 EST
In e2fsprogs-1.39-13.el5
Comment 6 wingc 2008-02-14 16:50:58 EST
I hit this bug in real life today, on a RHEL5.1 system: the filesystem had
apparently become corrupted after a suspend/resume cycle.

The current e2fsck in RHEL5 (from e2fsprogs-1.39-10.el5_1.1) died with a
segfault in region_free().

After rebuilding the RPM with the above patch from e2fsprogs.git, I was able to
repair the filesystem.

So I think this update needs to get pushed out for RHEL5 when feasible;
otherwise some people will probably end up with unbootable/unfixable systems.
Comment 7 Eric Sandeen 2008-02-14 16:55:25 EST
This fix is indeed slated for a RHEL5 update.

Thanks,
-Eric
Comment 10 errata-xmlrpc 2008-05-21 11:34:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0324.html

Note You need to log in before you can comment on or make changes to this bug.